Sampling Driver Version Information Incorrect for VTune™ Amplifier XE 2015 Update 1

The version year information contained in the prebuilt driver vtsspp for VTune™ Amplifier XE 2015 Update 1 is incorrect. You may notice this while using a tool such as readelf to view the binary elf headers, or when browsing the sepdk source files.

Sample Output:

kernel: vtss++ kernel module ("v1.4.11.6-380310 Intel(R) VTune(TM) Amplifier XE 2013")
registered

This incorrect data originates in the following source file:

<installation root>/sepdk/vtsspp/src/vtss_version.h

define VTSS_VERSION_MAJOR 1
define VTSS_VERSION_MINOR 4
define VTSS_VERSION_REVISION 11
define VTSS_VERSION_STRING "v1.4.11.6-380310 Intel(R) VTune(TM) Amplifier XE 2013"

If you have a need to verify version correctness, please rely on the version and build number at the beginning of the version string for the vtsspp driver, and ignore the year at the end.

For VTune™ Amplifier XE 2015 Update 1, the build number at the beginning of the version string should be v1.4.11.6-380310 as shown above.

Please note that although this is primarily a problem with the Linux editions of the product, you may also find the version information to be incorrect in the mic_sepdk of VTune™ Amplifier XE 2015 Update 1 for Windows*, typically found here:

<install root>\Intel\VTune Amplifier XE 2015\mic_sepdk\src\vtsspp

For more complete information about compiler optimizations, see our Optimization Notice.